##### 7.7.7.0. iv2lp

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  iv2lp(I); I an intvec

Return:
  poly

Purpose:
  Transforming an intvec into the corresponding Letterplace polynomial
  For the encoding of the variables see the overview.

Assume:
  - Intvec corresponds to a Letterplace monomial
  - basering has to be a Letterplace ring

Note:
  - Assumptions will not be checked!

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y,z),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    setring R; //sets basering to Letterplace ring
    intvec u = 1,1,2; intvec v = 2,1,3; intvec w = 3,1,1;
    // u = x^2y, v = yxz, w = zx^2 in intvec representation
    iv2lp(u); // invokes the procedure and returns the corresponding poly
    ==> x(1)*x(2)*y(3)
    iv2lp(v);
    ==> y(1)*x(2)*z(3)
    iv2lp(w);
    ==> z(1)*x(2)*x(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.